Cloady Docs
API ReferenceEndpointsApplications

Read one browser session

Returns the session's summary and every page view, vital, error, network call, rage or dead click and custom event it sent, oldest first.

GET
/api/workspaces/{workspaceSlug}/apps/{appSlug}/browser/sessions/{sessionId}
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string
sessionId*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/apps/string/browser/sessions/string"
{  "session": {    "id": "string",    "start": 0,    "last": 0,    "live": true,    "user": "string",    "entry": "string",    "page": "string",    "pages": 0,    "errors": 0,    "rage": 0,    "dead": 0,    "lcp": 0,    "converted": true,    "device": "string",    "browser": "string",    "os": "string",    "country": "string",    "replay": true  },  "events": [    {      "kind": "pageview",      "ts": 0,      "page": "string",      "url": "string",      "name": "string",      "value": 0,      "rating": "string",      "message": "string",      "stack": "string",      "file": "string",      "line": 0,      "col": 0,      "method": "string",      "status": 0,      "dur": 0,      "trace": "string",      "type": "string",      "selector": "string",      "x": 0,      "y": 0,      "count": 0    }  ]}